﻿using System;
using System.Windows;
using System.Windows.Media.Imaging;

namespace XamDataTree_Images
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {        
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var dc = this.DataContext as ViewModel;
            if (dc != null)
            {
                var data = dc.GeneratedData;

                foreach (Model m in data)
                {
                    m.ImagePath = new BitmapImage(new Uri("Images/small4.png", UriKind.Relative));
                }
            }
        }
    }
}
